
		$(function(){

/*			$(document).on("click","#sincronisar",function(event){

				var $Tbody = $("#TablaDDA").find('tbody'),
					Datos  = "",
					Edb    = false,
					Cam    = false;

				$Tbody.find("tr").each(function(j)
				{
					Datos+="<br>Fila "+j+" : ";
					
					$(this).find("td").each(function(i)
					{
						

						if (i == 0)
						{
							var $Elemento = $(this).find(" div.idcopiar"),
								EstaDB    = $Elemento.attr('endb'),
								Cambio    = $Elemento.attr('cambio');

							if (EstaDB == "si")
							{
								Edb = true;
								if( Cambio == "si")
								{
									Datos+="("+$Elemento.text()+" , ";
									Cam = true;
								}
								else
								{
									Cam = false;
								}
							}
							else
							{
								Edb = false;
								Datos+="("+$Elemento.text()+" , ";
							};
						}
						else if(i == 1)
						{
							if (Edb) {
								if (Cam)
									Datos+= $(this).text()+") ";
							} else{
								Datos+= $(this).text()+") ";
							};
							
						}
					});
				});

				$("#resultado").html(Datos);
			});*/

			$('.idcopiar').draggable({ //arrastrable
				revert:true,
				proxy:'clone',
				onStartDrag:function(e){
					
					var padre =$(this).parent();

					if (padre.attr('class') == "ValueId droppable valueya")
						padre.removeClass('valueya');

					if (padre.attr('class') == "CopiarId")
					{
						$(this).removeClass('idcopiar');
						$(this).addClass('idcopiarya');
					};

					if ($(this).attr('class') == "idcopiar assigned") 
					{
						if (padre.attr('endb') == 'si')
						{
							padre.attr('cambio','si');
							$(this).attr('cambio','si');
						};
					};
				}
			});

			$('div.ValueId').droppable({ //soltable
				onDragEnter:function(){
					$(this).addClass('over');
				},
				onDragLeave:function(){
					$(this).removeClass('over');
				},
				onDrop:function(e,source){

					if ($(this).attr('class') == 'ValueId droppable valueya over') {

						var idca = "#"+$(this).children().text();
						$(this).html('');

						$(idca).removeClass('idcopiarya').addClass('idcopiar').draggable({
							disabled:false,
							revert:true,
							proxy:'clone',
							onStartDrag:function(e){

								var padre =$(this).parent();

								if (padre.attr('class') == "ValueId droppable valueya")
									padre.removeClass('valueya');

								if (padre.attr('class') == "CopiarId")
								{
									$(this).removeClass('idcopiar');
									$(this).addClass('idcopiarya');
								};

								if ($(this).attr('class') == "idcopiar assigned") 
								{
									if (padre.attr('endb') == 'si')
									{
										padre.attr('cambio','si');
										$(this).attr('cambio','si');
									};
								};
							}
						});
					};

					$(this).removeClass('over');
					$(this).addClass('valueya');

					if ($(source).hasClass('assigned')){						
						$(this).append(source);
					} else {

						var ids = "as_"+$(source).attr('id'),
							c   = $(source).clone().addClass('idcopiar').addClass('assigned').removeClass('idcopiarya').attr("id",ids);

						$(source).draggable({disabled:true});
						$(this).empty().append(c);
						
						c.draggable({
							revert:true,
							onStartDrag:function(e){

								var padre =$(this).parent();

								if (padre.attr('class') == "ValueId droppable valueya")
									padre.removeClass('valueya');
							}
						});
					}
				}
			});
		});
